package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.StudentOperatingVisit;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StudentOperatingVisitDao extends BaseDAO<Long, StudentOperatingVisit> {
    /**
    * @description: 更新本月回访标记
     * @param studentId
    * @return void
    * @author zx
    * @date 2022/8/12 16:26
    */
    void updateVisit(@Param("studentId") Integer studentId, @Param("month") String month);

    void deleteByUserId(@Param("month") String month);

    void batchAdd(@Param("userIds") List<Integer> userIds, @Param("month") String month);

    List<Integer> queryUserIds(@Param("month") String month);

    List<StudentOperatingVisit> sumVisit(@Param("month") String month, @Param("tenantId") Integer tenantId);
}